KDE 4.2 PyKDE API Reference

- KDE's Python API

# VideoDataOutput2 Class Reference

`from PyKDE4.phonon import *`

Inherits: QObject,Phonon::Experimental::AbstractVideoDataOutput
Namespace: Phonon::Experimental

## Detailed Description

This class gives you the video data.

This class implements a special AbstractVideoOutput that gives your application the video data.

You can also use the video data for further processing (e.g. encoding and saving to a file).

Author:
  Matthias Kretz <kretz@kde.org>

## Signals

| endOfMediaSignal ()
| frameReadySignal (Phonon.Experimental.VideoFrame2 a0)

## Methods

| endOfMedia (self)
| endOfMediaSignal (self)
| frameReady (self, Phonon.Experimental.VideoFrame2 a0)
| frameReadySignal (self, Phonon.Experimental.VideoFrame2 a0)

## Method Documentation

endOfMedia | ( |  | self ) |

endOfMediaSignal | ( |  | self ) |

This signal is emitted after the last frameReady signal of a media is emitted.

Signal syntax:
  `QObject.connect(source, SIGNAL("endOfMediaSignal()"), target_slot)`

frameReady | ( | self, |
|  | Phonon.Experimental.VideoFrame2 | a0
| ) |  |  |

frameReadySignal | ( | self, |
|  | Phonon.Experimental.VideoFrame2 | a0
| ) |  |  |

The signal is emitted whenever a frame should be displayed. nowStamp is the current time, outStamp tells the users what time the frame should be displayed with.

The relevant frames should be fetched and displayed using frameForTime method.

Signal syntax:
  `QObject.connect(source, SIGNAL("frameReadySignal(const VideoFrame2&)"), target_slot)`